[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: R 3.0.0 and required rebuilds of all reverse Depends: of R

Dirk Eddelbuettel <edd@debian.org> writes:
> A new major release R 3.0.0 will come out on Wednesday April 3rd, as usual
> according the the release plan and announcements [1]. 
> It contains major internal changes [2] and requires rebuilds of all R
> packages.  As I usually do, I started packaging pre-releases and rc
> candidates [3] based on March 24, 27 and 30 snapshots.
> Michael Rutter, who tirelessly backports (most of) my Debian R packages to
> Ubuntu, has also made builds of these R packages [4].  
> As for unstable, we have an issue as essentially all reverse-dependencies
> that are R packages will need to be rebuilt [5]. On testing, I get for
> 158 packages from `apt-cache rdepends r-base-core | grep -c r-cran-`.

I don't think such transitions should be done without any
coordination[a]. In addition there's still the freeze...

  [a] <http://wiki.debian.org/Teams/ReleaseTeam/Transitions>

> and I am CCing everybody now to see if they could please rebuild the packages
> within a week or so.  Come next weekend we'll review and switch to direct
> email pings.

If they just need to be rebuilt, there are binNMUs.

However the binaries seem to claim they would also work with the newer R
versions? I looked at r-cran-rsymphony and it has
  Depends: [...], r-base-core (>= 2.14.1)
which would still be satisfied by r-base-core 3.0.0~20130330-1...


Reply to: